#include <predef.h>
#include <stdio.h>
#include <ctype.h>
#include <startnet.h>
#include <autoupdate.h>
#include <dhcpclient.h>
#include <smarttrap.h>
#include <taskmon.h>
#include <ethernet.h>
#include <bsp.h>

extern "C" {
void UserMain(void * pd);
}

const char * AppName="MOD5270_TEST";

extern uint16_t i50msCountEthernet;

void UserMain(void * pd) {
    InitializeStack();
    GetDHCPAddressIfNecessary();
    OSChangePrio(MAIN_PRIO);
    EnableAutoUpdate();
    EnableTaskMonitor();

    #ifndef _DEBUG
    EnableSmartTraps();
    #endif


//    iprintf("Application started\n");
	i50msCountEthernet=0;
    while (1) {
		if (EtherLink()) {
			if (++i50msCountEthernet >= 1200)
				ForceReboot();
		}
		OSTimeDly(TICKS_PER_SECOND / 20);
//        OSTimeDly(TICKS_PER_SECOND);
    }
}
